
%global meadversion 4.0.4
%global namedversion 4.0.4.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jsf-impl}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.4.redhat-00001

Name:           %{?scl_prefix}jsf-impl
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Mojarra
Group:          Development/Java

%if %with mead
Source100: mojarra-parent-4.0.4.redhat-00001-project-sources.tar.gz
Source102: jakarta.faces-4.0.4.redhat-00001.jar
Source103: mojarra-rest-4.0.4.redhat-00001.pom
Source104: jakarta.faces-4.0.4.redhat-00001-sources.jar
Source105: mojarra-action-4.0.4.redhat-00001.pom
Source106: mojarra-rest-4.0.4.redhat-00001.jar
Source107: mojarra-parent-4.0.4.redhat-00001.pom
Source108: mojarra-cdi-4.0.4.redhat-00001.pom
Source109: jakarta.faces-4.0.4.redhat-00001.pom
Source110: mojarra-action-4.0.4.redhat-00001-sources.jar
Source111: jakarta.faces-4.0.4.redhat-00001-javadoc.jar
Source112: mojarra-rest-4.0.4.redhat-00001-sources.jar
Source113: mojarra-cdi-4.0.4.redhat-00001-sources.jar
Source114: mojarra-cdi-4.0.4.redhat-00001.jar
Source115: mojarra-action-4.0.4.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/mojarra
Provides:       %{?scl_prefix}jsf-impl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Eclipse's implementation of the Jakarta Faces 4.0 specification.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsf-impl
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n mojarra-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.faces-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.faces-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.faces-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.faces-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.faces-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.faces-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# FIXME: this should be the aggregate javadoc
# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jsf-impl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.faces-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.faces-%{namedversion} -x META-INF/\*
%{__ln_s} jsf-impl-%{namedversion} %{buildroot}%{_javadocdir}/jsf-impl
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md
%{_javadir}/jakarta.faces-%{namedversion}.jar
%{_javadir}/jakarta.faces.jar
%if %with javadoc
%{_javadir}/jakarta.faces-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.faces-javadoc.jar
%endif
%{_javadir}/jakarta.faces-%{namedversion}-sources.jar
%{_javadir}/jakarta.faces-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%doc LICENSE.md
%{_javadocdir}/jsf-impl-%{namedversion}
%{_javadocdir}/jsf-impl
%endif

%changelog
* Tue Oct 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.4-1.redhat_00001.1
- Built by CPaaS

* Wed Jul 05 2023 Yong Yang <yyang@redhat.com> - 4.0.2-2.redhat_00001.1
- 4.0.2.redhat-00001

* Wed Jul 05 2023 Yong Yang <yyang@redhat.com> - 4.0.2-1.redhat_00001.1
- Updates for Mojarra 4.0.2.redhat-00001

* Wed Jun 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.2-1.SP01_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 4.0.0-1.SP01_redhat_00001.1
- Built by CPaaS

* Thu Jul 21 2022 Yong Yang <yyang@redhat.com> - 2.3.17-1.SP01_redhat_00001.1
- Rename to jsf-impl

* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.3.17-1.SP01_redhat_00001.1
Built by CPaaS



* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.3.14-1.SP04_redhat_00001.1
Built by CPaaS



* Wed Mar 03 2021 Yong Yang <yyang@redhat.com> - 2.3.14-3.SP04_redhat_00001.1
- RPM wrapper build 2.3.14.SP04-redhat-00001

* Mon Jan 11 2021 Yong Yang <yyang@redhat.com> - 2.3.14-2.SP02_redhat_00001.1
- RPM wrapper build 2.3.14.SP02-redhat-00001

* Fri Sep 25 2020 Yong Yang <yyang@redhat.com> - 2.3.14-1.SP01_redhat_00001.1
- RPM wrapper build 2.3.14.SP01-redhat-00001

* Mon Aug 17 2020 Yong Yang <yyang@redhat.com> - 2.3.9-11.SP12_redhat_00001.1
- RPM wrapper build 2.3.9.SP12-redhat-00001

* Thu Jun 04 2020 Yong Yang <yyang@redhat.com> - 2.3.9-10.SP10_redhat_00001.1
- RPM wrapper build 2.3.9.SP10-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 2.3.9-9.SP06_redhat_00001.1
- RPM wrapper build 2.3.9.SP06-redhat-00001

* Wed Nov 20 2019 Yong Yang <yyang@redhat.com> - 2.3.9-8.SP05_redhat_00001.1
- RPM wrapper build 2.3.9.SP05-redhat-00001

* Wed Nov 13 2019 Yong Yang <yyang@redhat.com> - 2.3.9-7.SP04_redhat_00001.1
- RPM wrapper build 2.3.9.SP04-redhat-00001

* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-6.SP03_redhat_00001.1
- Fix License

* Thu Sep 12 2019 Yong Yang <yyang@redhat.com> - 2.3.9-5.SP03_redhat_00001.1
- RPM wrapper build 2.3.9.SP03-redhat-00001

* Wed Sep 11 2019 Yong Yang <yyang@redhat.com> - 2.3.9-4.SP02_redhat_00001.1
- RPM wrapper build 2.3.9.SP03-redhat-00001

* Fri Jul 19 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-3.SP02_redhat_00001.1
- 2.3.9.SP02-redhat-00001

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 2.3.9-2.SP01_redhat_00001.1
- RPM wrapper build

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-1.SP01_redhat_00001.1
- 2.3.9.SP01-redhat-00001

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-1.SP01_redhat_00001.1
- 2.3.9.SP01-redhat-00001

* Fri Aug 24 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.3.5-2.SP2_redhat_00001.1
- upgrade to 2.3.5.SP2-redhat-00001

* Wed May 30 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- upgrade to 2.3.5.SP1-redhat-1

* Thu Jan 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.13-6.SP5_redhat_1.1
- upgrade to 2.2.13.SP5-redhat-1

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 2.2.13-5.SP4_redhat_1.1
- Fix license (JBEAP-13468)

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 2.2.13-4.SP4_redhat_1.1
- Fix license (JBEAP-13468)

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 2.2.13-3.SP4_redhat_1.1
- upgrade to 2.2.13.SP4-redhat-1

* Mon Nov 14 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.13-2.SP3_redhat_1.1
- Upgrade to 2.2.13.SP3

* Thu Aug 11 2016 David Walluck <dwalluck@redhat.com> - 2.2.13-1.SP1_redhat_1.1
- 2.2.13.SP1

* Fri Aug 07 2015 David Walluck <dwalluck@redhat.com> - 2.2.12-1.redhat_1.1
- 2.2.12-jbossorg-2

* Mon Jun 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-2.redhat_1.1
- fix files

* Fri May 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-1.redhat_1.1
- fix RPM build

* Fri May 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-1.redhat_1.1
- 2.2.11

* Thu Jan 22 2015 David Walluck <dwalluck@redhat.com> - 2.1.28-7.redhat_8.1
- merge 2.1.28-jbossorg-6

* Wed Jan 07 2015 David Walluck <dwalluck@redhat.com> - 2.1.28-6.redhat_7.1
- merge 2.1.28-jbossorg-5

* Fri Aug 29 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-5.redhat_6.1
- merge with 2.1.28-jbossorg-4

* Thu Aug 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-4.redhat_5.2
- fix jars

* Wed Aug 13 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-3.redhat_4.1
- merge 2.1.28-jbossorg-3

* Mon May 05 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-2.redhat_3.1
- 2.1.28.redhat-3

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-1.redhat_2.1
- fix wrapper version

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-8.redhat_9.1
- build wrapper only

* Fri Mar 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-7.redhat_9.1
- initial build of 2.1.27.redhat-9

* Wed Feb 12 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-6.redhat_8.1
- submit wrapper build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-5.redhat_7.1
- build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-4.redhat_6.1
- rebuild for latest version

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-3.redhat_4.1
- wrapper build

* Fri Jan 24 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-2.redhat_4.1
- rebuild for javadoc fix

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Fri Oct 25 2013 Permaine Cheung <pcheung@redhat.com> - 2.1.19-2.3.redhat_2
Add sources.jar

* Wed Oct 23 2013 David Walluck <dwalluck@redhat.com> 0:2.1.19-1
- release
